You are not logged in.

#1 2012-06-28 16:14:24

Roken
Member
From: UK
Registered: 2012-01-16
Posts: 731

Mono 2.10.9

Are there any plans to update mono to 2.10.9 in extra anytime soon? 2.10.9 fixes a bug preventing starting with the sgen GC. If not, would some kind soul be prepared to put a PKGBUILD together for it?

Last edited by Roken (2012-06-29 00:47:25)


[img=Speedtest]http://www.speedtest.net/my-result/5145583518[/img]

Nvidia GTX 670 2Gb, AMD Phenom II X4 (965BE) @ 3.6 Ghz (Overclocked) 8GB RAM
Linux user #545703

Offline

#2 2012-06-29 00:26:34

ngoonee
Forum Fellow
From: Between Thailand and Singapore
Registered: 2009-03-17
Posts: 6,887

Re: Mono 2.10.9

You're asking here without even bothering to mark it out-of-date? And simply using the current PKGBUILD should be sufficient if you need an updated Mono that badly.... whatever the case, since mono is in the repos it should NOT be re-uploaded to the AUR.


Allan-Volunteer on the (topic being discussed) mailn lists. You never get the people who matters attention on the forums.
jasonwryan-Installing Arch is a measure of your literacy. Maintaining Arch is a measure of your diligence. Contributing to Arch is a measure of your competence.
Griemak-Bleeding edge, not bleeding flat. Edge denotes falls will occur from time to time. Bring your own parachute.

Offline

#3 2012-06-29 00:36:26

Roken
Member
From: UK
Registered: 2012-01-16
Posts: 731

Re: Mono 2.10.9

My bad - honestly - really bad - and I apologise. 2.10.9 is mac only, so the Arch package is current (which is a nuisance since the garbage collector has the same issue), but guess I should file a bug report over at the mono devs.


[img=Speedtest]http://www.speedtest.net/my-result/5145583518[/img]

Nvidia GTX 670 2Gb, AMD Phenom II X4 (965BE) @ 3.6 Ghz (Overclocked) 8GB RAM
Linux user #545703

Offline

#4 2013-03-20 09:40:14

simendsjo
Member
Registered: 2012-09-27
Posts: 113

Re: Mono 2.10.9

mono-project.com says 2.10.9 is a Mac only release, but I think this is partly because of the Xamarin Windows+Mac route.

monodevelop 4.0.2 doesn't build using 2.10.8 because of a bug in 2.10.8 (cannot find the reference for this now).
2.10.9 doesn't build easily because of autoconf incompabilities.

I managed to build mono 2.10.11 by excluding documentation generation, and managed to compile monodevelop 4.0.2 using this.
But I get errors when opening files or syntax highlighting settings that I'm not sure how to fix.

So I don't really believe 2.10.9 is a Mac only release. I think it also affects gnu/linux.
It sure wouldn't damage to update it to 2.10.9, right?

Offline

#5 2013-03-21 03:36:56

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 13,793

Re: Mono 2.10.9

Watch for old threads

This seems to still be relevant, so I'll leave it open.


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
You assume people are rational and influenced by evidence.  You must not work with the public much. -- Trilby
----
How to Ask Questions the Smart Way

Offline

Board footer

Powered by FluxBB